package vo

import "website-nav/model"

// UserItem
// @description: 用户列表的数据
type UserItem struct {
	Id        string         `json:"id"`
	Account   string         `json:"account"`
	Avatar    string         `json:"avatar"`
	Nickname  string         `json:"nickname"`
	Contact   string         `json:"contact"`
	CreatedAt model.JsonTime `json:"createdAt"`
	UpdatedAt model.JsonTime `json:"updatedAt"`
}

// User
// @description: 用户信息
type User struct {
	Id       string `json:"id"`
	Account  string `json:"account"`
	Password string `json:"-"`
	Nickname string `json:"nickname"`
	Contact  string `json:"contact"`
}
