package vo

import "website-nav/model"

// NavigationTypeItem
// @description: 导航分类
type NavigationTypeItem struct {
	ID        string         `json:"id"`
	Name      string         `json:"name"`
	Icon      string         `json:"icon"`
	CreatedAt model.JsonTime `json:"createdAt"`
	UpdatedAt model.JsonTime `json:"updatedAt"`
}

// NavigationItem
// @description: 导航
type NavigationItem struct {
	Id          string         `json:"id"`
	Type        string         `json:"type"`
	TypeId      string         `json:"typeId"`
	Title       string         `json:"title"`
	Url         string         `json:"url"`
	Description string         `json:"description"`
	Icon        string         `json:"icon"`
	Enabled     bool           `json:"enabled"`
	CreatedAt   model.JsonTime `json:"createdAt"`
	UpdatedAt   model.JsonTime `json:"updatedAt"`
}
